<?php

namespace App\Traits;

use App\Auth\XenForoUser;
use App\Services\XenforoService;

trait HasXenforoUserId
{
    public function xenforoUser(): ?XenForoUser
    {
        $service = app(XenforoService::class);
        return $service->getXfUser( $this->user_id );
    }
}
